fat_plot(bsdrawsynchronous_errors,'k-');
papersize(5);
hold;
fat_plot(bsdrawaio_errors,'b-');
fat_plot(bsdrawpkthreads_errors,'g-');
fat_plot(bsdmmap2_errors,'c-');
fat_plot(bsdsynchronous_errors,'r-');
fat_plot(bsdaioread_errors,'m-');
%#axis([1 70 0 10])
axis([1 70 0 100])
legend(sprintf('Raw/Pread (%d)', bsdrawsynchronous_best), sprintf('Raw/AIO (%d)',bsdrawaio_best), sprintf('Raw/Threads (%d)', bsdrawpkthreads_best), sprintf('FS/Mmap (%d)', bsdmmap2_best), sprintf('FS/Read (%d)', bsdsynchronous_best), sprintf('FS/AIO (%d)', bsdaioread_best), 2);
title('Number of errors per stream (strict timetable).');
xlabel('Number of streams');
ylabel('Number of errors');
print -djpeg100 'err1'

figure;
papersize(5);
fat_plot(bsdrawsynchronous_ferr,'k-');
hold;
fat_plot(bsdrawaio_ferr,'b-');
fat_plot(bsdrawpkthreads_ferr,'g-');
fat_plot(bsdmmap2_ferr,'c-');
fat_plot(bsdsynchronous_ferr,'r-');
fat_plot(bsdaioread_ferr,'m-');
legend(sprintf('Raw/Pread (%d)', bsdrawsynchronous_fbest), sprintf('Raw/AIO (%d)',bsdrawaio_fbest), sprintf('Raw/Threads (%d)', bsdrawpkthreads_fbest), sprintf('FS/Mmap (%d)', bsdmmap2_fbest), sprintf('FS/Read (%d)', bsdsynchronous_fbest), sprintf('FS/AIO (%d)', bsdaioread_fbest), 2);
title('Number of errors per stream (flexible timetable).');
xlabel('Number of streams');
ylabel('Number of errors');
axis([1 70 0 100])
% axis([1 70 0 100])
print -djpeg100 'err2'

figure;
papersize(5);
% fat_plot(rawaio_since);
% fat_plot(rawpkthreads_since,'g');
fat_plot(bsdsynchronous_since,'r');
hold;
fat_plot(bsdrawsynchronous_since,'b');
level = [ 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333 ];
fat_plot(level,'g')
axis([1 100 4 7]) 
title('Variability of service times.');
xlabel('Round');
ylabel('Time');
legend(sprintf('FS/Read (%d streams)',bsdsynchronous_var),sprintf('Raw/Pread (%d streams)', bsdrawsynchronous_var),'Cutoff',4);
print -djpeg100 'var'
