/**************************************************************************
 * $Id: options.h,v 1.5 2000/12/04 03:37:03 alderman Exp $
 *
 * These options can get set on the command line
 * when parseArgs is called.  Declare them using
 * extern.  
 **************************************************************************/

#ifndef OPTIONS_H
#define OPTIONS_H

#include "global.h"

#define MAXIMUM_REASONABLE_THREADS MAX_STREAMS

#define VALIDATION_ERROR 0
#define VALIDATION_SUCCESS 1

void printUsage(void);
void parseArgs(int argc, char *argv[]);
int validateParams(void);

#endif /* OPTIONS_H */
