#!/usr/bin/perl  -w

$ONE_MEGA = 1048576;
$d = 8; # 8 mega bits
$r_disp = 1.5;  # 1.5 mega bits per second
$r_disk = 102; # 150 mega bits per second
$t_rot = 0.00833; # time of one rotation
$t_settle = 0.0006; # fast
$t_seek = 0.017; # worst case

$interval = $d/$r_disp;
print "Round interval: $interval\n";
$overhead = $d/$r_disk + $t_rot + $t_settle;
print "Per stream overhead: $overhead\n";
$seekover = 2*$t_seek;

$result = ($interval - $seekover) /  $overhead;
print "Support $result streams.\n";
